/* Seamonkey object installation script v.01*/
/* by Frank Wochatz fw@subsys.de */

Say "Seamonkey installation ...";say

if rxfuncquery('SysLoadFuncs') then do
 call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
 call SysLoadFuncs
end

/* Get curent directory */
InstDir = directory()


say;say "Creating WPS objects ..."

Call SysCreateObject 'WPFolder', 'SeaMonkey 2.35', '<WP_DESKTOP>', 'OBJECTID=<SMONKFOLDER2.35>', 'Update'

Call SysCreateObject 'WPProgram', 'SeaMonkey', '<SMONKFOLDER2.35>', 'OBJECTID=<SMONKEXE2.35>;EXENAME='||InstDir||'\seamonkey.exe;STARTUPDIR='||InstDir||';PROGTYPE=PM', 'Update'

Call SysCreateObject 'WPProgram', 'SeaMonkey'||'0d0a'x||'Profiles', '<SMONKFOLDER2.35>', 'OBJECTID=<SMONKEXE2.35-ProfileManager>;EXENAME='||InstDir||'\seamonkey.exe;STARTUPDIR='||InstDir||';PROGTYPE=PM;PARAMETERS=-ProfileManager', 'Update'

Call SysCreateObject 'WPProgram', 'SeaMonkey'||'0d0a'x||'Mail', '<SMONKFOLDER2.35>', 'OBJECTID=<SMONKEXE2.35-mail>;EXENAME='||InstDir||'\seamonkey.exe;STARTUPDIR='||InstDir||';PROGTYPE=PM;ICONFILE='||InstDir||'\chrome\icons\default\messengerWindow.ico;PARAMETERS=-mail', 'Update'

Call SysCreateObject 'WPProgram', 'SeaMonkey'||'0d0a'x||'Browser'||'0d0a'x||'Safe Mode', '<SMONKFOLDER2.35>', 'OBJECTID=<SMONKEXE2.35-safe-mode>;EXENAME='||InstDir||'\seamonkey.exe;STARTUPDIR='||InstDir||';PROGTYPE=PM;PARAMETERS=-safe-mode', 'Update'

Call SysCreateObject 'WPProgram', 'SeaMonkey'||'0d0a'x||'Browser'||'0d0a'x||'Private Session', '<SMONKFOLDER2.35>', 'OBJECTID=<SMONKEXE2.35-private>;EXENAME='||InstDir||'\seamonkey.exe;STARTUPDIR='||InstDir||';PROGTYPE=PM;PARAMETERS=-private', 'Update'

Call SysCreateObject 'WPProgram', 'SeaMonkey'||'0d0a'x||'Composer', '<SMONKFOLDER2.35>', 'OBJECTID=<SMONKEXE2.35-edit>;EXENAME='||InstDir||'\seamonkey.exe;STARTUPDIR='||InstDir||';PROGTYPE=PM;ICONFILE='||InstDir||'\chrome\icons\default\editorWindow.ico;PARAMETERS=-edit', 'Update'

Call SysCreateObject 'WPProgram', 'SeaMonkey'||'0d0a'x||'IRC Chat', '<SMONKFOLDER2.35>', 'OBJECTID=<SMONKEXE2.35-chat>;EXENAME='||InstDir||'\seamonkey.exe;STARTUPDIR='||InstDir||';PROGTYPE=PM;ICONFILE='||InstDir||'\chrome\icons\default\abcardWindow.ico;PARAMETERS=-chat', 'Update'


Call SysCreateObject 'WPProgram', 'SeaMonkey'||'0d0a'x||'Addressbook', '<SMONKFOLDER2.35>', 'OBJECTID=<SMONKEXE2.35-addressbook>;EXENAME='||InstDir||'\seamonkey.exe;STARTUPDIR='||InstDir||';PROGTYPE=PM;ICONFILE='||InstDir||'\chrome\icons\default\addressbookWindow.ico;PARAMETERS=-addressbook', 'Update'




/* Call SysCreateObject 'WPProgram', 'SeaMonkey Env Obj', '<SMONKFOLDER2.35>', 'OBJECTID=<SMONKEXE2.35-env>;EXENAME=*;STARTUPDIR='||InstDir||';MINIMIZED=YES;PROGTYPE=WINDOWABLEVIO;PARAMETERS=/c seamonkey.exe "%*"', 'Update'*/

Call SysCreateObject 'WPProgram', 'Seamonkey Read Me', '<SMONKFOLDER2.35>', 'OBJECTID=<SMONKREADME>;EXENAME=e.exe;STARTUPDIR='||InstDir||';PROGTYPE=PM;PARAMETERS=README.OS2', 'Update'

say " Installation done. Hit ENTER to continue."
pull dummy
call SysOpenObject "<SMONKFOLDER2.35>", 0, "TRUE"

exit


/*
Parameters

-mail
-chat
-browser
-ProfileManager


-height <value>           Set height of startup window to <value>

-h or -help               Prints this list

-installer                Start with 4.x migration window

-width <value>            Set width of startup window to <value>

-v or -version            Print SeaMonkey version

-CreateProfile <profile>  Create <profile>

-P <profile>              Start with <profile>

-ProfileWizard            Start with profile wizard

-ProfileManager           Start with profile manager


-UILocale <locale>        Start with <locale> resources as UI Locale

-contentLocale <locale>   Start with <locale> resources as content Locale

-console                  Start SeaMonkey with a debugging console

-nosplash                 Disable splash screen

-quiet                    Disable splash screen

-addressbook              Start with the addressbook

-news                     Start with news

-jsconsole                Start with Javascript Console

-edit <url>               Start with editor

-chrome <url>             Load the specified chrome

-mail                     Start with mail

-compose <url>            Start with messenger compose

-chat                     Start with IRC chat

-browser                  Start with browser

*/